# Deprecated API

## Contents

- Fields
- Methods

Fields
org.spongepowered.asm.util.Constants.ManifestAttributes.COMPATIBILITY

Methods
org.spongepowered.asm.launch.MixinBootstrap.addProxy(): use `MixinService.getService().beginPhase()` instead
org.spongepowered.asm.launch.platform.container.ContainerHandleURI.getFile()
org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent.unwire(): temporary
org.spongepowered.asm.launch.platform.IMixinPlatformServiceAgent.wire​(MixinEnvironment.Phase, IConsumer<MixinEnvironment.Phase>): temporary
org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract.unwire(): temporary
org.spongepowered.asm.launch.platform.MixinPlatformAgentAbstract.wire​(MixinEnvironment.Phase, IConsumer<MixinEnvironment.Phase>): temporary
org.spongepowered.asm.mixin.injection.InjectionPoint.register​(Class<? extends InjectionPoint>)
org.spongepowered.asm.mixin.injection.struct.MemberInfo.toSrg(): use m.asMethodMapping().serialise() instead
org.spongepowered.asm.mixin.MixinEnvironment.addConfiguration​(String): use Mixins::addConfiguration instead
org.spongepowered.asm.mixin.MixinEnvironment.addTransformerExclusion​(String): Do not use this method
org.spongepowered.asm.mixin.MixinEnvironment.CompatibilityLevel.classVersion(): Use getClassVersion
org.spongepowered.asm.mixin.MixinEnvironment.CompatibilityLevel.supportsMethodsInInterfaces(): Use `MixinEnvironment.CompatibilityLevel.supports(int)` instead
org.spongepowered.asm.mixin.MixinEnvironment.getErrorHandlerClasses(): use Mixins::getErrorHandlerClasses
org.spongepowered.asm.mixin.MixinEnvironment.getMixinConfigs(): no replacement
org.spongepowered.asm.mixin.MixinEnvironment.getProfiler(): use Profiler.getProfiler("mixin")
org.spongepowered.asm.mixin.MixinEnvironment.getTransformers(): Do not use this method
org.spongepowered.asm.mixin.MixinEnvironment.setCompatibilityLevel​(MixinEnvironment.CompatibilityLevel): set compatibility level in configuration
org.spongepowered.asm.mixin.struct.SpecialMethodInfo.getClassNode(): use getTargetClassNode instead
org.spongepowered.asm.mixin.transformer.Config.create​(String, MixinEnvironment)
org.spongepowered.asm.service.IClassProvider.getClassPath(): As of 0.8, use of this method is not a sensible way to access available containers.
org.spongepowered.asm.service.MixinServiceAbstract.getContainersFromAgents​(List<IContainerHandle>): Nonstandard interface
org.spongepowered.asm.service.MixinServiceAbstract.unwire(): temporary
org.spongepowered.asm.service.MixinServiceAbstract.wire​(MixinEnvironment.Phase, IConsumer<MixinEnvironment.Phase>): temporary